Remotehost Docs
API ReferenceEnvironment templates

Create an environment template

POST
/orgs/{orgId}/projects/{projectId}/environment-templates

A named, reusable machine configuration that workspaces reference. Requires environments.manage. Secrets are not accepted yet.

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

orgId*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/orgs/string/projects/string/environment-templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "environment": {    "usage": {      "workspaces": 0,      "sandboxes": 0    },    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "name": "string",    "description": "string",    "isDefault": true,    "enforced": true,    "template": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "platform": true    },    "machineSize": "small",    "vmm": "string",    "setupScript": "string",    "services": [      {        "name": "string",        "command": "string",        "port": 1,        "cwd": "string"      }    ],    "ports": [      0    ],    "envVars": {      "property1": "string",      "property2": "string"    },    "egressPolicy": "none",    "egressAllowlist": [      "string"    ],    "applied": true,    "createdAt": "string",    "updatedAt": "string"  },  "egressPropagation": {    "applied": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    ],    "failed": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "error": "string",        "stopped": true      }    ],    "notRunning": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      }    ],    "listError": "string"  }}